Loading...
Searching...
No Matches
GraphItemIt< GR, Item > Class Template Reference

## Detailed Description

template<typename GR, typename Item>
class lemon::concepts::GraphItemIt< GR, Item >

This class describes the concept of `NodeIt`, `ArcIt` and `EdgeIt` subtypes of digraph and graph types.

`#include <lemon/concepts/graph_components.h>`

## Public Member Functions

| GraphItemIt ()
| Default constructor.
| GraphItemIt (const GraphItemIt &it)
| Copy constructor.
| GraphItemIt (const GR &)
| Constructor that sets the iterator to the first item.
| GraphItemIt (Invalid)
| Constructor for conversion from `INVALID`.
GraphItemIt & | operator= (const GraphItemIt &)
| Assignment operator.
GraphItemIt & | operator++ ()
| Increment the iterator.
bool | operator== (const GraphItemIt &) const
| Equality operator.
bool | operator!= (const GraphItemIt &) const
| Inequality operator.

## Constructor & Destructor Documentation

## GraphItemIt() [1/4]

template<typename GR, typename Item>

GraphItemIt | ( |  | ) |

inline

Default constructor.

Warning
  The default constructor is not required to set the iterator to some well-defined value. So you should consider it as uninitialized.

## GraphItemIt() [2/4]

template<typename GR, typename Item>

GraphItemIt | ( | const GraphItemIt< GR, Item > & | it | ) |

inline

Copy constructor.

## GraphItemIt() [3/4]

template<typename GR, typename Item>

GraphItemIt | ( | const GR & |  | ) |

inline explicit

Constructor that sets the iterator to the first item.

## GraphItemIt() [4/4]

template<typename GR, typename Item>

GraphItemIt | ( | Invalid |  | ) |

inline

Constructor for conversion from `INVALID`. It initializes the iterator to be invalid.

See also
  Invalid for more details.

## Member Function Documentation

## operator=()

template<typename GR, typename Item>

GraphItemIt & operator= | ( | const GraphItemIt< GR, Item > & |  | ) |

inline

Assignment operator for the iterator.

## operator++()

template<typename GR, typename Item>

GraphItemIt & operator++ | ( |  | ) |

inline

This operator increments the iterator, i.e. assigns it to the next item.

## operator==()

template<typename GR, typename Item>

bool operator== | ( | const GraphItemIt< GR, Item > & |  | ) | const

inline

Equality operator. Two iterators are equal if and only if they point to the same object or both are invalid.

## operator!=()

template<typename GR, typename Item>

bool operator!= | ( | const GraphItemIt< GR, Item > & |  | ) | const

inline

Inequality operator. Two iterators are equal if and only if they point to the same object or both are invalid.